List WhatsApp accounts
curl --request GET \
--url https://api.threetone.in/v1/convai/whatsapp-accountsimport requests
url = "https://api.threetone.in/v1/convai/whatsapp-accounts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.threetone.in/v1/convai/whatsapp-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"business_account_id": "<string>",
"phone_number_id": "<string>",
"business_account_name": "<string>",
"phone_number_name": "<string>",
"phone_number": "<string>",
"assigned_agent_name": "<string>",
"registration_status": "UNKNOWN",
"account_type": "cloud_api",
"assigned_agent_id": "<string>",
"enable_messaging": true,
"enable_audio_message_response": true,
"enable_typing_indicator": true,
"is_token_expired": false
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": {
"status": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}WhatsApp
List WhatsApp accounts
List all WhatsApp accounts
GET
/
v1
/
convai
/
whatsapp-accounts
List WhatsApp accounts
curl --request GET \
--url https://api.threetone.in/v1/convai/whatsapp-accountsimport requests
url = "https://api.threetone.in/v1/convai/whatsapp-accounts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.threetone.in/v1/convai/whatsapp-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"business_account_id": "<string>",
"phone_number_id": "<string>",
"business_account_name": "<string>",
"phone_number_name": "<string>",
"phone_number": "<string>",
"assigned_agent_name": "<string>",
"registration_status": "UNKNOWN",
"account_type": "cloud_api",
"assigned_agent_id": "<string>",
"enable_messaging": true,
"enable_audio_message_response": true,
"enable_typing_indicator": true,
"is_token_expired": false
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": {
"status": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}Headers
Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.
Query Parameters
Filter by assigned agent ID
Response
Successful Response
Show child attributes
Show child attributes